Group: Development/Other
# BEGIN SourceDeps(oneline):
BuildRequires(pre): rpm-macros-nodejs
# END SourceDeps(oneline)
# see https://bugzilla.altlinux.org/show_bug.cgi?id=10382
%define _localstatedir %{_var}


%global enable_tests 0

Name:       nodejs-method-override
Version:    2.3.8
Release:    alt1_6
Summary:    Provides faux HTTP method support for Connect
License:    MIT
URL:        https://github.com/expressjs/method-override
Source0:    https://github.com/expressjs/method-override/archive/%{version}/%{name}-%{version}.tar.gz

BuildArch:  noarch

BuildRequires:  rpm-build-nodejs node-devel

BuildRequires:  npm(debug)
BuildRequires:  npm(methods)
BuildRequires:  npm(parseurl)
BuildRequires:  npm(vary)

%if 0%{?enable_tests}
BuildRequires:  mocha
BuildRequires:  npm(supertest)
%endif
Source44: import.info

%description
%{summary}.


%prep
%setup -q -n method-override-%{version}

%nodejs_fixdep debug
%nodejs_fixdep methods


%build
#nothing to do


%install
mkdir -p %{buildroot}%{nodejs_sitelib}/method-override
cp -pr package.json index.js \
    %{buildroot}%{nodejs_sitelib}/method-override

%nodejs_symlink_deps


%check
%nodejs_symlink_deps --check
%{__nodejs} -e 'require("./")'

%if 0%{?enable_tests}
mocha --check-leaks --reporter spec test/
%endif


%files
%doc README.md HISTORY.md
%doc --no-dereference LICENSE
%{nodejs_sitelib}/method-override


%changelog
* Thu Mar 28 2019 Igor Vlasenko <viy@altlinux.ru> 2.3.8-alt1_6
- new version

